Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1288931

Summary: System locked up when journal flooded with Wayland and/or Mutter error messages.
Product: [Fedora] Fedora Reporter: Dan Loomis <danloomis47>
Component: waylandAssignee: Adam Jackson <ajax>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: ajax, fedora, jawnsy, leho, mclasen, vrutkovs
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-20 16:42:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Dan Loomis 2015-12-07 03:51:57 UTC
Fedora 23 running Wayland.  Firefox session, three windows open.   
Show All Bookmarks window opened.  Horrible response time when clicking on a folder.
System became non responsive and was restarted with the power switch.

Found the following in journalctl after reboot.
+++++++++++++++++++++++++++++++++++++
Dec 05 20:11:14 antares firefox.desktop[6031]: 1449375074035        addons.update-checker        WARN        Update manifest for {972ce4c6-7e08-4474-a285-3208198ce6fd} did not contain an updates property
Dec 05 20:53:51 antares systemd[1]: Starting dnf makecache...
Dec 05 20:53:51 antares dnf[9265]: cachedir: /var/cache/dnf
Dec 05 20:53:51 antares dnf[9265]: Loaded plugins: builddep, reposync, protected_packages, download, Query, config-manager, needs-restarting, copr, debuginfo-install, noroot, playground, generate_completion_cache
Dec 05 20:53:51 antares dnf[9265]: DNF version: 1.1.4
Dec 05 20:53:51 antares dnf[9265]: Making cache files for all metadata files.
Dec 05 20:53:51 antares dnf[9265]: Metadata cache refreshed recently.
Dec 05 20:53:51 antares systemd[1]: Started dnf makecache.
Dec 05 20:53:51 antares audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 05 20:53:51 antares audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'

Line 25510 in journalctl dump.
Dec 05 20:54:52 antares gnome-shell-wayland.desktop[2148]: (gnome-shell:2148): mutter-WARNING **: Error transfering wayland clipboard to X11: Operation was cancelled
Dec 05 20:54:52 antares gnome-shell-wayland.desktop[2148]: (gnome-shell:2148): mutter-WARNING **: Error transfering wayland clipboard to X11: Operation was cancelled
Dec 05 20:54:52 antares gnome-shell-wayland.desktop[2148]: (gnome-shell:2148): mutter-WARNING **: Error transfering wayland clipboard to X11: Operation was cancelled

Line 28264 in journalctl dump.
Dec 05 20:54:53 antares gnome-shell-wayland.desktop[2148]: (gnome-shell:2148): mutter-WARNING **: Error transfering wayland clipboard to X11: Operation was cancelled
Dec 05 20:55:22 antares systemd-journal[631]: Suppressed 168751 messages from /user.slice/user-1000.slice
Dec 05 20:55:22 antares gnome-shell-wayland.desktop[2148]: (gnome-shell:2148): mutter-CRITICAL **: Failed to open pipe: Too many open files
Dec 05 20:55:22 antares gnome-shell-wayland.desktop[2148]: (gnome-shell:2148): mutter-WARNING **: Error transfering wayland clipboard to X11: Operation was cancelled

Line 31012 in journalctl dump.
Dec 05 20:55:41 antares gnome-shell-wayland.desktop[2148]: (gnome-shell:2148): mutter-WARNING **: Error transfering wayland clipboard to X11: Operation was cancelled
Dec 05 20:55:55 antares systemd-journal[631]: Suppressed 45032 messages from /user.slice/user-1000.slice
Dec 05 20:55:55 antares gnome-shell-wayland.desktop[2148]: (gnome-shell:2148): mutter-CRITICAL **: Failed to open pipe: Too many open files
+++++++++++++++++++++++++++++++++++++

Everything worked fine after the reboot.

Version-Release number of selected component (if applicable):
[djl@antares ~]$ dnf list installed | grep wayland
gnome-session-wayland-session.x86_64   3.18.1.2-2.fc23          @updates        
ibus-wayland.x86_64                    1.5.11-1.fc23            @koji-override-0
libwayland-client.x86_64               1.9.0-1.fc23             @koji-override-0
libwayland-cursor.x86_64               1.9.0-1.fc23             @koji-override-0
libwayland-server.x86_64               1.9.0-1.fc23             @koji-override-0
mesa-libwayland-egl.x86_64             11.0.6-1.20151122.fc23   @updates        
xorg-x11-server-Xwayland.x86_64        1.18.0-2.fc23            @updates        
[djl@antares ~]$ dnf list installed | grep mutter
mutter.x86_64                          3.18.2-1.fc23            @updates        
[djl@antares ~]$ uname -a
Linux antares 4.2.6-301.fc23.x86_64 #1 SMP Fri Nov 20 22:22:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:  Only observed once.  

Steps to Reproduce:  Unknown.

Actual results:  System locked up.

Expected results:  System should run as normal.

Additional info:

Comment 1 Jonathan Yu 2016-03-21 17:52:39 UTC
This bug is not Fedora-specific; here's a link to a corresponding Debian bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=809787

It was also forwarded upstream to the GNOME project as: https://bugzilla.gnome.org/show_bug.cgi?id=760745

Comment 2 Matthias Clasen 2016-09-01 12:37:55 UTC
The upstream bug has a comment that seems to indicate that this is fixed.
Is anybody still seeing this problem with f25 ?

Comment 3 Fedora End Of Life 2016-11-24 14:01:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 16:42:38 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Christian Stadelmann 2017-02-07 13:51:28 UTC
I am not seeing this issue with wayland and/or mutter error messages any more, nor do I see this with clipboard-related stuff. I am seeing another bug causing the file limit to be reached ("too many open files") which causes gnome-shell to crash the whole session: bug #1401217.